/*
 * test_tmdb.c
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#include <glib.h>
#include <stdio.h>
#include <unistd.h>
#include "tmdb_movie.h"

gint main(gint argc, gchar **argv) {

	TMDBMovie *movie = NULL;
	const gchar *title = NULL;

	if (argc != 2) {
		title = "Zombieland";
	} else {
		title = argv[1];
	}

	g_thread_init(NULL);
	g_type_init();

	movie = tmdb_get_info(title);

	tmdb_movie_print(movie);

	tmdb_movie_unref(movie);
	return 1;
}
