/*
 * tmdb_movie.h
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef TMDB_MOVIE_H_
#define TMDB_MOVIE_H_

#include <stdio.h>
#include <stdlib.h>
#include <rest-0.6/rest/rest-proxy.h>
#include <rest-0.6/rest/rest-proxy-call.h>
#include <rest-0.6/rest/rest-xml-parser.h>

#define GET_MESSAGE(x)	( (x) ? x : " - " )
#define TMDB_API_KEY "249e1a42df9bee09fac5e92d3a51396b"
#define TMDB_SERVICE_URL "http://api.themoviedb.org/2.1"
#define TMDB_LANGUAGE "en"
#define TMDB_FORMAT "xml"
#define TMDB_SEARCH_METHOD "Movie.search"

typedef struct _TMDBMovie TMDBMovie;

struct _TMDBMovie {

	gint popularity;
	gchar *name;
	gchar *alternative_name;
	gint id;
	gchar *imdb_id;
	gchar *url;
	gchar *overview;
	gfloat rating;
	GDate *released;
	gint runtime;
/* categories */
/* images */
};

TMDBMovie *tmdb_get_info(const gchar *name);

void tmdb_movie_unref(TMDBMovie *movie);

void tmdb_movie_print(const TMDBMovie *movie);

#endif /* TMDB_MOVIE_H_ */
