/*
 * watc_provider.h
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simón Pena <bulfaiter@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef WATC_PROVIDER_H_
#define WATC_PROVIDER_H_

#include <stdio.h>
#include <rest-0.6/rest/rest-proxy.h>
#include <unistd.h>

#define WATC_SERVICE_URL "http://whatsafterthecredits.com/api.php"
typedef struct _WATCInfo WATCInfo;

struct _WATCInfo {
	gchar *movie_name;
	gboolean has_stingers;
};

GSList *watc_has_stingers(const gchar *name);

void watcinfo_unref(WATCInfo *info);

void watcinfo_list_unref(GSList *list);

void watcinfo_print(WATCInfo *info);

#endif /* WATC_PROVIDER_H_ */
